Create
curl --request POST \
--url https://api.cadanapay.com/v1/payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"beneficiaryId": "c871b333-e129-409c-aabd-7cfb55a967cc",
"quoteId": "d35d2bd6-188b-4e82-9a16-71442dad7375",
"amount": {
"amount": 500000,
"currency": "PHP"
},
"reference": "payout-123"
}
'import requests
url = "https://api.cadanapay.com/v1/payouts"
payload = {
"beneficiaryId": "c871b333-e129-409c-aabd-7cfb55a967cc",
"quoteId": "d35d2bd6-188b-4e82-9a16-71442dad7375",
"amount": {
"amount": 500000,
"currency": "PHP"
},
"reference": "payout-123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
beneficiaryId: 'c871b333-e129-409c-aabd-7cfb55a967cc',
quoteId: 'd35d2bd6-188b-4e82-9a16-71442dad7375',
amount: {amount: 500000, currency: 'PHP'},
reference: 'payout-123'
})
};
fetch('https://api.cadanapay.com/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d0137ede-7df1-4a54-8206-b3ab7b03876f"
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Payouts
Create
Create a new payout
POST
/
v1
/
payouts
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Body
application/json
Example:
"c871b333-e129-409c-aabd-7cfb55a967cc"
The unique identifier for the fx quote
Example:
"d35d2bd6-188b-4e82-9a16-71442dad7375"
Show child attributes
Show child attributes
The client reference for the payout
Example:
"1234567890"
Response
Payout Created Response
Example:
"d0137ede-7df1-4a54-8206-b3ab7b03876f"
⌘I